<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

function createAgencyDesignDoc() {
    global $sag;
    //See if the design doc exists, creating it if it doesn't
    try {
        //it does exist, so finish early
        if ($sag->head('_design/app')->headers->_HTTP->status != "404")
            return true;
    } catch (Exception $e) {
        //database issue
        return false;
    }
   	$ddoc = new StdClass();
	$ddoc->_id = '_design/app';
	$ddoc->views = new StdClass();
	// by abn, by name
	$ddoc->views->byABN = new StdClass();
	$ddoc->views->byABN->map = "function(doc) {   emit(doc.abn, doc); };";
        $ddoc->views->byName = new StdClass();
	$ddoc->views->byName->map = "function(doc) {   emit(doc.name, doc); };";
	$ddoc->views->getActive = new StdClass();
	$ddoc->views->getActive->map = 'function(doc) { if (doc.status == "active") {  emit(doc._id, doc); } };';
	$ddoc->views->getSuspended = new StdClass();
	$ddoc->views->getSuspended->map = 'function(doc) { if (doc.status == "suspended") {  emit(doc._id, doc); } };';
	$ddoc->views->getScrapeRequired = new StdClass();
	$ddoc->views->getScrapeRequired->map = "function(doc) {   emit(doc.abn, doc); };";
    try {
        $sag->put('_design/app', $ddoc);
    } catch (Exception $e) {
        /*
         * A 409 status code means there was a conflict, so another client
         * already created the design doc for us. This is fine.
         */
        if ($e->getCode() != 409)
            return false;
    }
    return true;
}
error_reporting(0);
require_once('sag/src/SagException.php');
require_once('sag/src/SagCouchException.php');
require_once('sag/src/SagConfigurationCheck.php');
require_once('sag/src/httpAdapters/SagHTTPAdapter.php');
require_once('sag/src/httpAdapters/SagNativeHTTPAdapter.php');
require_once('sag/src/httpAdapters/SagCURLHTTPAdapter.php');
require_once 'sag/src/Sag.php';
error_reporting(E_ALL ^ E_STRICT ^ E_NOTICE);
$sag = new Sag();

// createAgencyDesignDoc();

function include_header() {
    ?>
<!DOCTYPE html>

<!-- paulirish.com/2008/conditional-stylesheets-vs-css-hacks-answer-neither/ -->
<!--[if lt IE 7]> <html class="no-js lt-ie9 lt-ie8 lt-ie7" lang="en"> <![endif]-->
<!--[if IE 7]>    <html class="no-js lt-ie9 lt-ie8" lang="en"> <![endif]-->
<!--[if IE 8]>    <html class="no-js lt-ie9" lang="en"> <![endif]-->
<!--[if gt IE 8]><!--> <html lang="en"> <!--<![endif]-->
<head>
	<meta charset="utf-8" />

	<!-- Set the viewport width to device width for mobile -->
	<meta name="viewport" content="width=device-width" />

	<title>Welcome to Foundation</title>
  
	<!-- Included CSS Files -->
	<link rel="stylesheet" href="stylesheets/foundation.css">
	<link rel="stylesheet" href="stylesheets/app.css">

	<!--[if lt IE 9]>
		<link rel="stylesheet" href="stylesheets/ie.css">
	<![endif]-->


	<!-- IE Fix for HTML5 Tags -->
	<!--[if lt IE 9]>
		<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->

</head>
<body>

  <!-- navBar -->
  <div id="navBar" class="container">
    <div class="row">
      <div class="four columns">
        <h1><a href="/">Disclosr</a></h1>
      </div>
      <div class="eight columns hide-on-phones">
      	<strong class="right">
      		<a href="../grid.php">Features</a>
      		<a href="../case-soapbox.php">Case Studies</a>
      		<a href="index.php">Documentation</a>
      		<a href="http://github.com/navb/foundation">Github</a>
      		<a href="../files/foundation-download-2.1.4.zip" class="small blue nice button src-download">Download</a>
      		
      	</strong>
      </div>
    </div>
  </div>
  <!-- /navBar -->

	<!-- container -->
	<div class="container">
<?php }

function include_footer() { ?>
</div>
	<!-- container -->




	<!-- Included JS Files -->
	<script src="javascripts/foundation.js"></script>
	<script src="javascripts/app.js"></script>

</body>
</html>

<?php } ?>


